#!/bin/bash

# Version 1.1.00
# UDA'Software 2007

# Questo script serve per associare informazioni ad un nickname,
# andandole ad inserire nel File Domini.

network=$1
nickname=$2
host=$3
data=$4

# Come prima cosa, verifica se esiste il File Domini
if [ ! -f $(dirname $0)/file_domini.dat ]; then
    echo "/ECHO %C8,1ATTENZIONE: Non esisteva un File Domini e quindi ne ho dovuto creare uno di default."
    
    cat<<EOF > $(dirname $0)/file_domini.dat
BuDuScRiPt file_domini data file - Created by BuDuScRiPt EList ADD Script
_________________ Domain | ________ Country
Domain@                    Country
# End of Country Records Type - DON'T DELETE THIS LINE MANUALLY !
_________________ Domain | _______ Nickname | Generic Information
Domain@                    Nickname           Generic Information
EOF
fi

if [ ! -f $(dirname $0)/file_domini.dat ]; then
    echo "/ECHO %C4,1ERRORE: Impossibile creare il File Domini, verificare i permessi in scrittura della directory .xchat2/buduscript ."
    
    exit 1;
else
    if [ "$(cat $(dirname $0)/file_domini.dat | grep "^#")" == "" ]; then
	echo "/ECHO %C4,1ERRORE: Il File Domini risulta corrotto o comunque non creato da una procedura compatibile a questa, impossibile continuare."
	
	exit 1;
    fi
fi

if [ ! -f $(dirname $0)/${network} ]; then
    echo "/ECHO %C8,1ATTENZIONE: Non esisteva un link al File Domini per il server %B${network}%O%C8,1 e quindi ne ho dovuto creare uno di default."
    
    ln -s $(dirname $0)/file_domini.dat $(dirname $0)/${network}
fi
if [ ! -f $(dirname $0)/${network} ]; then
    echo "/ECHO %C4,1ERRORE: Impossibile creare il link al File Domini, verificare i permessi in scrittura della directory .xchat2/buduscript ."
    
    exit 1;
fi

printf "%s\t\t%16s\t\t%s\n" "${host/@*/@}" "${nickname}" "${data}" >> $(dirname $0)/${network}
echo "/ECHO %C3,1Utente %B${nickname}%O%C3,1 aggiunto, avvio l'editor ...."
if [ "$(nano --version)" == "" ]; then
    echo "/ECHO %C8,1ATTENZIONE: L'Editor NANO non risulta installato, quindi non e' possibile modificare manualmente il File Domini, si consiglia l'uso di E-List Add-on."
    exit 1;
else
    echo "/exec xterm -e \"nano $(dirname $0)/${network}\" &"
    echo "/budus search ${nickname}"
fi